From 3dc14c822f144c2996a0386af74074b1ac1b0a52 Mon Sep 17 00:00:00 2001
From: Laszlo Ersek <lersek@redhat.com>
Date: Thu, 21 Nov 2013 16:27:17 +0100
Subject: introduce RFQDN_REDHAT (RHEL 6->7 fwd)

RH-Author: Laszlo Ersek <lersek@redhat.com>
Message-id: <1385051239-3677-2-git-send-email-lersek@redhat.com>
Patchwork-id: 55836
O-Subject: [RHEL-7.0 qemu-kvm PATCH 1/3] introduce RFQDN_REDHAT (RHEL 6->7 fwd)
Bugzilla: 971933
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
RH-Acked-by: Jiri Denemark <jdenemar@redhat.com>
RH-Acked-by: Luiz Capitulino <lcapitulino@redhat.com>

Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=971933

This forward ports the final effect of RHEL-6 commit

  commit 8d99c4ad4d9fa53768bfbca8606457f8179f4404
  Author: Luiz Capitulino <lcapitulino@redhat.com>
  Date:   Fri May 14 22:49:19 2010 -0300

      Monitor: Make RFQDN_REDHAT public

Signed-off-by: Laszlo Ersek <lersek@redhat.com>

diff --git a/include/monitor/monitor.h b/include/monitor/monitor.h
index 1c06bed..93fc511 100644
--- a/include/monitor/monitor.h
+++ b/include/monitor/monitor.h
@@ -19,6 +19,9 @@ extern Monitor *default_mon;
 /* flags for monitor commands */
 #define MONITOR_CMD_ASYNC       0x0001
 
+/* Red Hat Monitor's prefix (reversed fully qualified domain) */
+#define RFQDN_REDHAT "__com.redhat_"
+
 int monitor_cur_is_qmp(void);
 
 void monitor_init(CharDriverState *chr, int flags);
